package com.ejie.ab61.model.plantillas;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * RelTipPlaPro  
 *  
 */

public class RelTipPlaPro  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idRelTipPlaPro;
            private Integer idTipoPlantilla;
            private Integer idProcedimiento;
            private Date fechaRegistro;
            private String usuarioRegistro;

	/** 
	 * Method 'RelTipPlaPro'.
	 */
    public RelTipPlaPro() {
    }


	
    
    /** 
     * Method 'RelTipPlaPro'.
     * @param idRelTipPlaPro Integer
     */    
     public RelTipPlaPro(Integer idRelTipPlaPro) {
          this.idRelTipPlaPro = idRelTipPlaPro;
	}

    

    /** 
     * Method 'RelTipPlaPro'.
     * @param idRelTipPlaPro Integer
     * @param idTipoPlantilla Integer
     * @param idProcedimiento Integer
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     */
   public RelTipPlaPro(Integer idRelTipPlaPro, Integer idTipoPlantilla, Integer idProcedimiento, Date fechaRegistro, String usuarioRegistro) {	

           this.idRelTipPlaPro = idRelTipPlaPro;
           this.idTipoPlantilla = idTipoPlantilla;
           this.idProcedimiento = idProcedimiento;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
    }

    /**
	 * Method 'getIdRelTipPlaPro'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdRelTipPlaPro() {
		return this.idRelTipPlaPro;
	}

	/**
	 * Method 'setIdRelTipPlaPro'.
	 *
	 * @param idRelTipPlaPro Integer
	 * @return
     */
	
	public void setIdRelTipPlaPro(Integer idRelTipPlaPro) {
		this.idRelTipPlaPro = idRelTipPlaPro;
	}
    /**
	 * Method 'getIdTipoPlantilla'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdTipoPlantilla() {
		return this.idTipoPlantilla;
	}

	/**
	 * Method 'setIdTipoPlantilla'.
	 *
	 * @param idTipoPlantilla Integer
	 * @return
     */
	
	public void setIdTipoPlantilla(Integer idTipoPlantilla) {
		this.idTipoPlantilla = idTipoPlantilla;
	}
    /**
	 * Method 'getIdProcedimiento'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdProcedimiento() {
		return this.idProcedimiento;
	}

	/**
	 * Method 'setIdProcedimiento'.
	 *
	 * @param idProcedimiento Integer
	 * @return
     */
	
	public void setIdProcedimiento(Integer idProcedimiento) {
		this.idProcedimiento = idProcedimiento;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idRelTipPlaPro: ").append(this.idRelTipPlaPro).append(" ]");
		result.append(", [ idTipoPlantilla: ").append(this.idTipoPlantilla).append(" ]");
		result.append(", [ idProcedimiento: ").append(this.idProcedimiento).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}


}

